Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBLocalPrivileges.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBLocalPrivileges.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBLocalPrivileges

public class DBLocalPrivileges.Row
extends Object
implements DBRow

Field Summary
`Date` | `aquisitionDate`
`int` | `delegationCount`
`int` | `delegationDepth`
`int` | `delegationLimit`

Constructor Summary
`DBLocalPrivileges.Row(DBApplication.Row application, DBPrivilege.Row privilege, DBLocalPrivileges.Row parent, DBUser.Row grantor, DBUser.Row delegee, DBProject.Row project, Date aquisitionDate, int delegationLimit, int delegationCount, int delegationDepth, int localPrivilegeId)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete()`
`int` | `distance(DBUser.Row user)` Returns -1 if user is not associated with this privilege
`boolean` | `equals(Object o)`
`List` | `getAllChildren()`
`DBApplication.Row` | `getApplicationId()`
`List` | `getChildren()`
`DBUser.Row` | `getDelegee()`
`int` | `getDepth()`
`DBExportDelegation` | `getExport(DBUser.Row user)`
`DBUser.Row` | `getGrantor()`
`Object` | `getKey()`
`List` | `getKeys()`
`int` | `getLocalPrivilegeId()`
`DBLocalPrivileges.Row` | `getParent()`
`DBPrivilege.Row` | `getPrivilege()`
`DBProject.Row` | `getProject()`
`boolean` | `matchUser(DBUser.Row u)`
`void` | `notifyUsers()`
`void` | `notifyUsers(DBLocalPrivileges.Row lp)`
`void` | `update()`
`void` | `updateChildDepth()`
`void` | `updatePrivilege(int newDelegeeDepth, int newDelegeeLimit)`
`boolean` | `valid(int delegationDepth, int newLimit, int oldLimit)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aquisitionDate

    public Date aquisitionDate

### delegationLimit

    public int delegationLimit

### delegationCount

    public int delegationCount

### delegationDepth

    public int delegationDepth

Constructor Detail

### DBLocalPrivileges.Row

    public DBLocalPrivileges.Row(DBApplication.Row application,
                                 DBPrivilege.Row privilege,
                                 DBLocalPrivileges.Row parent,
                                 DBUser.Row grantor,
                                 DBUser.Row delegee,
                                 DBProject.Row project,
                                 Date aquisitionDate,
                                 int delegationLimit,
                                 int delegationCount,
                                 int delegationDepth,
                                 int localPrivilegeId)
                          throws Exception

Method Detail

### distance

    public int distance(DBUser.Row user)

  Returns -1 if user is not associated with this privilege

### getExport

    public DBExportDelegation getExport(DBUser.Row user)

### update

    public void update()
                throws Exception

### delete

    public void delete()
                throws Exception

### closed

    public boolean closed()

### getApplicationId

    public DBApplication.Row getApplicationId()

### getPrivilege

    public DBPrivilege.Row getPrivilege()

### getGrantor

    public DBUser.Row getGrantor()

### getDelegee

    public DBUser.Row getDelegee()

### getProject

    public DBProject.Row getProject()

### getParent

    public DBLocalPrivileges.Row getParent()

### getLocalPrivilegeId

    public int getLocalPrivilegeId()

### getDepth

    public int getDepth()

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

### updateChildDepth

    public void updateChildDepth()
                          throws Exception

### valid

    public boolean valid(int delegationDepth,
                         int newLimit,
                         int oldLimit)

### getChildren

    public List getChildren()
                     throws Exception

### getAllChildren

    public List getAllChildren()
                        throws Exception

### updatePrivilege

    public void updatePrivilege(int newDelegeeDepth,
                                int newDelegeeLimit)
                         throws Exception

### notifyUsers

    public void notifyUsers()
                     throws Exception

### notifyUsers

    public void notifyUsers(DBLocalPrivileges.Row lp)
                     throws Exception

### matchUser

    public boolean matchUser(DBUser.Row u)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD